summaryrefslogtreecommitdiff
path: root/net-misc/plowshare
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /net-misc/plowshare
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'net-misc/plowshare')
-rw-r--r--net-misc/plowshare/Manifest1
-rw-r--r--net-misc/plowshare/metadata.xml12
-rw-r--r--net-misc/plowshare/plowshare-2.1.7-r3.ebuild57
-rw-r--r--net-misc/plowshare/plowshare-9999.ebuild58
4 files changed, 128 insertions, 0 deletions
diff --git a/net-misc/plowshare/Manifest b/net-misc/plowshare/Manifest
new file mode 100644
index 000000000000..21887a16b4c6
--- /dev/null
+++ b/net-misc/plowshare/Manifest
@@ -0,0 +1 @@
+DIST plowshare-2.1.7.tar.gz 96282 BLAKE2B bfec7fba200d783fcba5051738f98f7cd862eede1661b4d72062bd111b394800406443e52ecf2f0b771b90a9834a87fae01a6055828e8a12446126c593daa01c SHA512 7fe91d3756c55ffc1daf9275bfd2413f2644accd8fa69f2b1064696e1435f9b8be9515907c8249ffde85436dc6966f1d42bad94ccfbde93ae584dcc0d642c215
diff --git a/net-misc/plowshare/metadata.xml b/net-misc/plowshare/metadata.xml
new file mode 100644
index 000000000000..59bb5e04e240
--- /dev/null
+++ b/net-misc/plowshare/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>voyageur@gentoo.org</email>
+ <name>Bernard Cafarelli</name>
+ </maintainer>
+ <use>
+ <flag name="view-captcha">View captcha with aview</flag>
+ </use>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/net-misc/plowshare/plowshare-2.1.7-r3.ebuild b/net-misc/plowshare/plowshare-2.1.7-r3.ebuild
new file mode 100644
index 000000000000..7bf81d252ea6
--- /dev/null
+++ b/net-misc/plowshare/plowshare-2.1.7-r3.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Command-line downloader and uploader for file-sharing websites"
+HOMEPAGE="https://github.com/mcrapet/plowshare"
+SRC_URI="https://github.com/mcrapet/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE="javascript view-captcha"
+
+RDEPEND="
+ >=app-shells/bash-4
+ || ( app-text/recode ( dev-lang/perl dev-perl/HTML-Parser ) )
+ dev-vcs/git
+ net-misc/curl
+ sys-apps/util-linux
+ virtual/imagemagick-tools[tiff]
+ javascript? ( >=dev-java/rhino-1.8.0:0 )
+ view-captcha? ( || ( media-gfx/aview media-libs/libcaca ) )"
+
+# NOTES:
+# javascript dep should be any javascript interpreter using /usr/bin/js
+
+src_prepare() {
+ # Fix doc install path
+ sed -i -e "/^DOCDIR/s|plowshare|${PF}|" Makefile || die "sed failed"
+
+ default
+}
+
+src_compile() {
+ # There is a Makefile but it's not compiling anything, let's not try.
+ :
+}
+
+src_test() {
+ # Disable tests because all of them need a working Internet connection.
+ :
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="/usr" \
+ PLOWSHARE_FORCE_VERSION="${PV}" install
+}
+
+pkg_postinst() {
+ elog "plowshare is not delivered with modules by default anymore"
+ elog "Per-user modules can be installed/updated with the plowmod command"
+ if ! use javascript; then
+ ewarn "Without javascript you will not be able to use modules"
+ ewarn "requering a Javascript shell (/usr/bin/js)"
+ fi
+}
diff --git a/net-misc/plowshare/plowshare-9999.ebuild b/net-misc/plowshare/plowshare-9999.ebuild
new file mode 100644
index 000000000000..8ad6caf285a2
--- /dev/null
+++ b/net-misc/plowshare/plowshare-9999.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit git-r3
+
+DESCRIPTION="Command-line downloader and uploader for file-sharing websites"
+HOMEPAGE="https://github.com/mcrapet/plowshare"
+EGIT_REPO_URI="https://github.com/mcrapet/plowshare.git"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="javascript view-captcha"
+
+RDEPEND="
+ >=app-shells/bash-4
+ || ( app-text/recode ( dev-lang/perl dev-perl/HTML-Parser ) )
+ dev-vcs/git
+ net-misc/curl
+ sys-apps/util-linux
+ virtual/imagemagick-tools[tiff]
+ javascript? ( >=dev-java/rhino-1.8.0:0 )
+ view-captcha? ( || ( media-gfx/aview media-libs/libcaca ) )"
+
+# NOTES:
+# javascript dep should be any javascript interpreter using /usr/bin/js
+
+src_prepare() {
+ # Fix doc install path
+ sed -i -e "/^DOCDIR/s|plowshare|${PF}|" Makefile || die "sed failed"
+
+ default
+}
+
+src_compile() {
+ # There is a Makefile but it's not compiling anything, let's not try.
+ :
+}
+
+src_test() {
+ # Disable tests because all of them need a working Internet connection.
+ :
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="/usr" \
+ PLOWSHARE_FORCE_VERSION="${PV}" install
+}
+
+pkg_postinst() {
+ elog "plowshare is not delivered with modules by default anymore"
+ elog "Per-user modules can be installed/updated with the plowmod command"
+ if ! use javascript; then
+ ewarn "Without javascript you will not be able to use modules"
+ ewarn "requering a Javascript shell (/usr/bin/js)"
+ fi
+}